Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration.rop.client
Class ClientRuntime

    java.lang.Object
      org.apache.cayenne.configuration.CayenneRuntime
          org.apache.cayenne.configuration.rop.client.ClientRuntime

Direct Known Subclasses:
  ClientLocalRuntime

    public class ClientRuntime

extends CayenneRuntime

A user application entry point to Cayenne stack on the ROP client.

Since:
  3.1

Field Summary

Fields inherited from class org.apache.cayenne.configuration.CayenneRuntime
`injector, modules`

Constructor Summary
`ClientRuntime(Map<String,String> properties, Collection<Module> extraModules)` Creates a client runtime configuring it with a standard set of services contained in `ClientModule`.
`ClientRuntime(Map<String,String> properties, Module... extraModules)` Creates a client runtime configuring it with a standard set of services contained in `ClientModule`.

Method Summary
`ClientConnection` | `getConnection()`

Methods inherited from class org.apache.cayenne.configuration.CayenneRuntime
`getChannel, getContext, getContext, getInjector, getModules, mergeModules, mergeModules, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientRuntime

    public ClientRuntime(Map<String,String> properties,
                         Collection<Module> extraModules)

  Creates a client runtime configuring it with a standard set of services contained in `ClientModule`. CayenneClientModule is created based on a set of properties that contain things like connection information, etc. Recognized property keys are defined in `ClientModule`. An optional array of extra modules may contain service overrides and/or user services.

### ClientRuntime

    public ClientRuntime(Map<String,String> properties,
                         Module... extraModules)

  Creates a client runtime configuring it with a standard set of services contained in `ClientModule`. CayenneClientModule is created based on a set of properties that contain things like connection information, etc. Recognized property keys are defined in `ClientModule`. An optional collection of extra modules may contain service overrides and/or user services.

Method Detail

### getConnection

    public ClientConnection getConnection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.